%define version 0.06
%define release %mkrel 3
%define realname	Acme-JavaTrace
%define name 	perl-%{realname}

Summary:	Module for using Java-like stack traces
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Acme/%{realname}-%{version}.tar.bz2
URL: 		http://search.cpan.org/dist/%{realname}
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Requires: 	perl
BuildArch:	noarch
   
%description
<buzzword>This module tries to improves the Perl programmer experience
by porting the Java paradigm to print stack traces, which is more professional
than Perl's way.</buzzword>

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{perl_vendorlib}
%{_mandir}/*/*
%doc Changes README INSTALL

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 21:50:38 (53688)
- test in %%check, rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 21:49:34 (53687)
Import perl-Acme-JavaTrace

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.06-2mdk
- Fix BuildRequires Using perl Policies
	- Source URL
- use mkrel

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdk
- New release 0.06

* Wed May 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- 0.04

* Sun Mar 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.03-1mdk
- 0.03

* Tue Dec 14 2004 Olivier Thauvin <nanardon@mandrake.org> 0.02-2mdk
- Fix URL

* Tue Dec 14 2004 Olivier Thauvin <nanardon@mandrake.org> 0.02-1mdk
- 0.02
- For my queen :)

* Tue Jun 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.01-1mdk
- First mdk release to make Mandrakelinux professional 

